Loading...
Searching...
No Matches
sdbus::UnixFd Struct Reference

`#include <Types.h>`

## Public Member Functions

| UnixFd (int fd)
| UnixFd (int fd, adopt_fd_t)
| UnixFd (const UnixFd &other)
UnixFd & | operator= (const UnixFd &other)
| UnixFd (UnixFd &&other)
UnixFd & | operator= (UnixFd &&other)
int | get () const
void | reset (int fd=-1)
void | reset (int fd, adopt_fd_t)
int | release ()
bool | isValid () const

## Detailed Description

UnixFd is a representation of file descriptor D-Bus type that owns the underlying fd, provides access to it, and closes the fd when the UnixFd goes out of scope.

UnixFd can be default constructed (owning invalid fd), or constructed from an explicitly provided fd by either duplicating or adopting that fd as-is.

The documentation for this struct was generated from the following file:

- include/sdbus-c++/Types.h